#
# $Id$
#
# $Id: configure.in,v 1.33 2008/02/08 15:10:17 adeniz Exp $
#
# autoconf input for the MicroNeil @PACKAGE_NAME@-postfix RPM spec file.
#
# Author: Alban Deniz
#
# Copyright (C) 2013 ARM Research Labs, LLC.
# See www.armresearch.com for the copyright terms.
#
#############################################################################

# Create the source RPM in this directory.
%define _srcrpmdir @abs_srcdir@/

# Create the binary RPM in this directory.
%define _rpmdir @abs_srcdir@/

# Test install in this directory.
BuildRoot: @abs_srcdir@/scratch/

# Required items.
Name: @PACKAGE_NAME@-postfix
Version: @VERSION@
Release: 1
License: Artistic
Group: System Environment/Daemons
BuildArch: noarch
Summary: ARM Research Labs Sniffer integration with postfix.

#%define manifest %{_builddir}/%{name}-%{version}-%{release}.manifest

# Optional items.
Vendor: ARM Research Labs, Inc.
URL: http://www.armresearch.com/

Requires: snf-server
Requires: postfix

%description
@PACKAGE_NAME@-postfix integrates snf-server with postfix.  snf-server
is a plug-in for an MTA (Mail Transport Agent, such as sendmail or
postfix) that does spam detection and IP address scanning.
@PACKAGE_NAME@-postfix must be installed after @PACKAGE_NAME@.

%group Applications/Communications

%post
# Integrate with postfix.
/usr/sbin/SNFServerConfig -with=postfix

%preun
# Remove configuration with postfix.
/usr/sbin/SNFServerConfig -with=none

%files
%defattr(-,root,root)

%changelog
%changelog
* Sat Jan 05 2013 Alban Deniz - 3.0.14-1
- Initial version, copied from snf-milter-postfix.spec.
